Name:                hessian
Summary:             Java implementation of a binary protocol for web services
Version:             4.0.65
Release:             2
Epoch:               0
License:             ASL 1.1
URL:                 http://hessian.caucho.com/
Source0:             http://caucho.com/download/%{name}-%{version}-src.jar
Source1:             https://repo1.maven.org/maven2/com/caucho/%{name}/%{version}/%{name}-%{version}.pom
Source2:             https://opensource.org/licenses/Apache-1.1#/Apache-1.1.html#/Apache-1.1
BuildRequires:       maven-local mvn(javax.servlet:javax.servlet-api) mvn(org.springframework:spring-web)
BuildRequires:       mvn(org.apache.felix:maven-bundle-plugin)    

Patch1:         	 %{name}-20230907.patch

BuildArch:           noarch
%description
This is the Java implementation of Caucho's Hession binary transport
protocol for web services.

%package javadoc
Summary:             API documentation for %{name}
%description javadoc
API documentation for %{name}.

%prep
%autosetup -c -p1

mkdir src
mv com src/
rm -r META-INF
rm -r src/com/caucho/hessian/test
cp -p %{SOURCE1} pom.xml
cp -p %{SOURCE2} apache.license.html
%pom_change_dep :servlet-api javax.servlet:javax.servlet-api:3.1.0
%pom_change_dep :spring-web org.springframework:spring-web:3.2.18.RELEASE
%pom_remove_plugin :maven-gpg-plugin
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :maven-source-plugin
%pom_xpath_set pom:properties/pom:project.build.sourceEncoding UTF-8
%pom_xpath_set "pom:project/pom:packaging" bundle
%pom_add_plugin org.apache.felix:maven-bundle-plugin:3.0.1 . "
<extensions>true</extensions>
<configuration>
  <excludeDependencies>true</excludeDependencies>
  <instructions>
    <Bundle-SymbolicName>\${project.groupId}.\${project.artifactId}</Bundle-SymbolicName>
    <Bundle-Name>\${project.name}</Bundle-Name>
    <Bundle-Version>\${project.version}</Bundle-Version>
  </instructions>
</configuration>
<executions>
  <execution>
    <id>bundle-manifest</id>
    <phase>process-classes</phase>
    <goals>
      <goal>manifest</goal>
    </goals>
  </execution>
</executions>"
%mvn_config buildSettings/compilerSource 1.8
%mvn_file com.caucho:%{name} %{name}

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%license apache.license.html

%files javadoc -f .mfiles-javadoc
%license apache.license.html

%changelog
* Tue Aug 29 2023 Bin Huang <huangbin54@huawei.com> - 0:4.0.65-2
- commit patch

* Mon Aug 21 2023 Bin Huang <huangbin54@huawei.com> - 0:4.0.65-1
- Package update version to 4.0.65

* Sat Aug 15 2020 Ge Wang <wangge20@huawei.com> - 0:4.0.38-1
- Package init
